Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Developer
Posts: 672
Registered: ‎12-04-2012
My Device: BlackBerry 8520
My Carrier: Airtel

I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

 

when I have benn thru the link

 

https://bdsc.webapps.blackberry.com/android/bpaa/download-option

 

 

 

and clicked Prpceed to Download

 

 

http://developer.blackberry.com/android/documentation/install_plugin_prerequisites_1895476_11.html#i...:smileytongue:

 

 

I am seeing  the following message

 

 

"Documnetation could not be found"

 

 

Please help me I want to test  my android application .apk file   for BlackBerry     in compatability test.

 

 

 

Retired
Posts: 159
Registered: ‎11-21-2008
My Device: BlackBerry 10
My Carrier: Rogers

Re: I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

Thanks for the information about the URL. I'll get that fixed. It should link you to: http://developer.blackberry.com/android/documentation/install_plugin_prerequisites_2016780_11.html

 

You can use the online tool to verify your applicaiton, or you can download our command line tools, or the Plug-in for Eclipse. For more information on which tool is best for you, see: http://developer.blackberry.com/android/documentation/choose_your_conversion_tool_2016772_11.html

 

Cheers

 

Matt Whiteman
Product Manager, Android, BlackBerry Java & Simulators
Developer
Posts: 672
Registered: ‎12-04-2012
My Device: BlackBerry 8520
My Carrier: Airtel

Re: I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

Please can You give me online support on skype etc. Iam holding a BB project i.e porting a android app to BB project or app.

 

 

Please  accept my request my  login or user name in skype is srk20081

 

 

I have number of queries , Even after installing proper simulators. It is saying " No devices or simulators found" when trying to debug or run the sample application

 

 

 

Developer
Posts: 672
Registered: ‎12-04-2012
My Device: BlackBerry 8520
My Carrier: Airtel

Re: I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

I have checked   that Android 2.3.3 API has been succesfully installed 

by referring

 

http://developer.blackberry.com/android/documentation/install_plugin_prerequisites_2016780_11.html

 

Nowis shows as the    SDK Platform Android 2.3.3, API 10 displays as Installed.

 

 

Even after that when I try to  do the compatability test   by follwoing below link

 

https://bdsc.webapps.blackberry.com/android/bpaa/apk-compatibility-check

 

 

I got the error msg as below:

 

Your application is not compatible with the BlackBerry® Runtime for Android™ Apps.

Your application uses a feature which is incompatible with the current version of the BlackBerry® Runtime for Android™ Apps. We recommend that you download the BlackBerry® Plug-in for ADT to test your application and remove features as required.

 

Your application is not compatible with the BlackBerry® Runtime for Android™ Apps.

Your application uses a feature which is incompatible with the current version of the BlackBerry® Runtime for Android™ Apps. We recommend that you download the BlackBerry® Plug-in for ADT to test your application and remove features as required.

 

Please give me time for online support so that my problem gets solved asap.

 

 

 

Retired
Posts: 159
Registered: ‎11-21-2008
My Device: BlackBerry 10
My Carrier: Rogers

Re: I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

From your message, your issue is due to compatibility. Your application is using an API or feature that is not currently supported. Using the online packager, it should tell you what components are not supported. To see the full list of unsupported features please see: http://developer.blackberry.com/android/apisupport/

 

Depending on what isn't supported, I would recommend using the Eclipse Plug-in or our commandline tools which will allow you to repackage your application regardless of errors, so you can test on a device or simulator. This way you can verify the function of your application without the use of the feature that isn't supported.

 

Cheers

Matt Whiteman
Product Manager, Android, BlackBerry Java & Simulators
Developer
Posts: 672
Registered: ‎12-04-2012
My Device: BlackBerry 8520
My Carrier: Airtel

Re: I want to test my android application .apk file for BlackBerry in compatability test. (Compatability Test)

Iam not following which components are there in my App  due to which my app is not compatible. How  to remove features which are not compatble and try again.